% Versenden der eingescannten Klausurbgen mit dem QR-Code-Klausurpapier
% Autor: Mathias Magdowski
% Datum: 17.09.2017
% eMail: mathias.magdowski@ovgu.de

% alles lschen
clear all

% alle Abbildungen schlieen
close all

% Verzeichnisname mit den PDF-Dateien -> String
dirname='test';

% Java-Pfade hinzufgen
javaaddpath('.\jarfiles\core-3.2.0.jar');
javaaddpath('.\jarfiles\javase-3.2.0.jar');

% Auflsung des Scans -> String
dpi='200';

% Breite des auszuschneidenen Bereichs
qrcode_width=round(2.5*str2double(dpi));
qrcode_height=round(2*str2double(dpi));

% Dateinamen aller PDF-Dateien einlesen -> Struct
pdffiles=dir([dirname,'/*.pdf']);

% Schleife ber alle PDF-Dateien
for n_file=1:size(pdffiles,1)
    % Dateiname ohne Endung -> String
    filename=pdffiles(n_file).name(1:end-4);
    % PDF-Datei in JPEG-Bild umwandeln
    dos(['gswin64 -dFirstPage=1 -dLastPage=1 -dNOPAUSE -dBATCH -sDEVICE=jpeg -sOutputFile="',dirname,'/',filename,'.jpg" -r',dpi,' "',dirname,'/',filename,'.pdf"']);
    % eingescanntes Bild -> Matrix(,,3)
    scanned_image=imread([dirname,'/',filename,'.jpg']);
    % Debug: ausgewhlten Bildausschnitt mit dem QR-Code anzeigen
    %image(scanned_image(1:qrcode_height,1:qrcode_width,:));
    % E-Mail-Adresse aus dem Bild decodieren -> String
    recipient=decode_qr(scanned_image(1:qrcode_height,1:qrcode_width,:));
    % Nachricht fr die E-Mail -> String
    message=['Hallo ',recipient,',' 10 ,...
        '' 10 ,...
        'im Anhang befindet sich deine kontrollierte Leistungskontrolle ',...
        'oder Prfungsklausur der Lehrveranstaltung "Grundlagen der Elektrotechnik".' 10 ,...
        '' 10 ,...
        'Viele Gre' 10 ,...
        '' 10 ,...
        'Mathias Magdowski'];
    % Betreffzeile -> String
    subject='kontrollierte Leistungskontrolle/Prfungsklausur "Grundlagen der Elektrotechnik"';
    % Anhang -> String
    attachments=[dirname,'/',filename,'.pdf'];
    % Klausurpapier per E-Mail-Versenden
    matlabmail(recipient,message,subject,attachments)
end
