% Senden der E-Mails mit dem QR-Code-Klausurpapier
% Autor: Mathias Magdowski
% Datum: 17.09.2017
% eMail: mathias.magdowski@ovgu.de

% alles lschen
clear all

% alle Abbildungen schlieen
close all

% Dateiname der Tabelle mit den Nutzerdaten -> String
filename='GET I Bewertungen-20170917_1804-comma_separated.csv';

% Tabelle mit den Nutzerdaten einlesen -> Struct
userdata=readtable(filename);

% Dateiname der LaTeX-Datei mit den Nutzerdaten -> String
latexfilename='klausurpapier_nutzerdaten.tex';

% Schleife ber alle Benutzer
for n_user=1:length(userdata.E_Mail_Adresse)
    % LaTeX-Datei mit den Nutzerdaten ffnen
    latexfile=fopen(latexfilename,'w');
    % Nutzerdaten schreiben
    fprintf(latexfile,'%s\n',['\newcommand{\emailadresse}{',userdata.E_Mail_Adresse{n_user},'}']);
    fprintf(latexfile,'%s\n',['\newcommand{\vornamenachname}{',userdata.Vorname{n_user},' ',userdata.Nachname{n_user},'}']);
    fprintf(latexfile,'%s\n',['\newcommand{\matrikelnummer}{}']);
    fprintf(latexfile,'%s\n',['\newcommand{\fakultaet}{}']);
    % LaTeX-Datei mit den Nutzerdaten ffnen
    fclose(latexfile);
    % PDFLaTeX aufrufen
    dos('pdflatex klausurpapier_mit_qcode');
    % Nachricht fr die E-Mail -> String
    message=['Hallo ',userdata.Vorname{n_user},' ',userdata.Nachname{n_user},',' 10 ,...
        '' 10 ,...
        'im Anhang befindet sich ein vorgefertigter Papierbogen fr die Leistungskontrolle ',...
        'oder Prfungsklausur der Lehrveranstaltung "Grundlagen der Elektrotechnik".' 10 ,...
        '' 10 ,...
        'Der Papierbogen enthlt oben bereits deinen Namen und einen QR-Code mit deiner ',...
        'E-Mail-Adresse. Drucke dir dieses Papier in ausreichender Menge aus und benutze ',...
        'es in der Leistungskontrolle oder Prfung.' 10 ,...
        '' 10 ,...
        'Nach der Kontrolle der Arbeit wird das Papier eingescannt und dir mit Hilfe ',...
        'des QR-Codes automatisch per E-Mail zugesandt.' 10 ,...
        '' 10 ,...
        'Viele Gre' 10 ,...
        '' 10 ,...
        'Mathias Magdowski'];
    % Betreffzeile -> String
    subject='Papierbogen mit QR-Code fr die Leistungskontrolle/Prfungsklausur "Grundlagen der Elektrotechnik"';
    % Anhang -> String
    attachments='klausurpapier_mit_qcode.pdf';
    % Klausurpapier per E-Mail-Versenden
    matlabmail(userdata.E_Mail_Adresse{n_user},message,subject,attachments)
end
